.reaction-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 70px;
  height: 26px;
  background-color: #fa6b11;
  border-radius: 3px;
  font-size: 15px;
  letter-spacing: 2px;
  color: #FFFFFF;
  cursor: pointer;
  float: left;
  margin-right: 5px;
  user-select: none;
}

.reaction-btn * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.reaction-btn *::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
}

.reaction-btn *::-webkit-scrollbar-thumb {
  background-color: #d7d7d7;
  border-radius: 4px;
}

.reaction-btn *::-webkit-scrollbar-thumb:hover {
  background-color: #666;
}

.reaction-btn * {
  scrollbar-width: thin;
  scrollbar-color: #d7d7d7 transparent;
}

.reaction-btn *::-moz-scrollbar-thumb {
  background-color: #d7d7d7;
}

.reaction-btn *::-moz-scrollbar-thumb:hover {
  background-color: #666;
}

.reaction-btn .reaction-icon {
  width: 18px;
  height: 18px;
  margin-right: 4px;
}

.emoji-box {
  position: relative;
  margin-top: 31px;
  margin-bottom: -10px;
  user-select: none;
}

.emoji-box * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.emoji-box *::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
}

.emoji-box *::-webkit-scrollbar-thumb {
  background-color: #d7d7d7;
  border-radius: 4px;
}

.emoji-box *::-webkit-scrollbar-thumb:hover {
  background-color: #666;
}

.emoji-box * {
  scrollbar-width: thin;
  scrollbar-color: #d7d7d7 transparent;
}

.emoji-box *::-moz-scrollbar-thumb {
  background-color: #d7d7d7;
}

.emoji-box *::-moz-scrollbar-thumb:hover {
  background-color: #666;
}

.reaction-send-box {
  width: 689px;
  background-color: #f6f6f6;
  border: 1px solid #d7d7d7;
  padding: 12px 0 0 10px !important;
  display: flex;
  flex-wrap: wrap;
  border-radius: 8px;
  margin-bottom: 20px;
  position: relative;
}

.reaction-send-box * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.reaction-send-box::after {
  content: "";
  width: 10px;
  height: 10px;
  border: 1px solid;
  border-top-color: transparent;
  border-bottom-color: #d7d7d7;
  border-left-color: #d7d7d7;
  border-right-color: transparent;
  background-color: #f6f6f6;
  position: absolute;
  left: 27px;
  bottom: -6px;
  transform: rotate(315deg);
  border-radius: 1px;
}

.reaction-send-box .meme-item {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #555555;
  min-width: 56px;
  height: 30px;
  padding: 0 8px;
  background-color: #fff;
  border: 1px solid #fff;
  border-radius: 8px;
  margin-right: 10px;
  margin-bottom: 10px;
  cursor: pointer;
  /* font-size: 14px; */
  font-size: 16px;
  /* -webkit-font-smoothing: subpixel-antialiased;
    -webkit-text-size-adjust: none; */
  /* font-family: 'emojifont'; */
  user-select: none;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.reaction-send-box .meme-item .meme-value {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 30px;
  line-height: 30px;
  overflow: hidden;
  font-size: 12px;
  margin-left: 4px;
}

.reaction-send-box .meme-item.meme-item-s .meme-value {
  line-height: 20px;
}

.reaction-send-box .meme-item .meme-icon {
  width: 20px;
  height: 20px;
  margin-right: 5px;
}

.reaction-send-box .meme-item.pitch {
  background-color: #f6f6bd;
  border: 1px solid #e0e34b;
}

.reaction-send-box .plus-sign-box {
  width: 30px;
  height: 30px;
  background-color: #fbe2d4;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  position: relative;
  margin-bottom: 10px;
}

.reaction-send-box .plus-sign-box:hover .add-reaction {
  display: flex;
}

.reaction-send-box .plus-sign-box .add-reaction {
  display: none;
  position: absolute;
  top: -48px;
  font-style: normal;
  color: #FFFFFF;
  width: 76px;
  line-height: 22px;
  font-size: 13px;
  justify-content: center;
  align-items: center;
  z-index: 1;
  padding-top: 5px;
}

.reaction-send-box .plus-sign-box .add-reaction .add-reaction-bj {
  position: absolute;
  top: 0;
  left: 0;
  width: 76px;
  height: 38px;
  z-index: -1;
}

.reaction-send-box .plus-sign-box::after {
  content: "";
  width: 18px;
  height: 18px;
  background-color: #fa6b11;
  border-radius: 25px;
  position: absolute;
}

.reaction-send-box .plus-sign-box::before {
  content: "";
  width: 8px;
  height: 8px;
  background-image: url('//app.gter.net/image/gter/forum/emojiImg/plus-sign.svg');
  position: absolute;
  z-index: 1;
}

.reaction-not-send-box {
  width: max-content;
  max-width: 689px;
  background-color: #f6f6f6;
  border: 1px solid #d7d7d7;
  padding: 6px 11px 4px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  border-radius: 8px;
  margin-bottom: 20px;
  position: relative;
}

.reaction-not-send-box::after {
  content: "";
  width: 10px;
  height: 10px;
  border: 1px solid;
  border-top-color: transparent;
  border-bottom-color: #d7d7d7;
  border-left-color: #d7d7d7;
  border-right-color: transparent;
  background-color: #f6f6f6;
  position: absolute;
  left: 27px;
  bottom: -6px;
  transform: rotate(315deg);
  border-radius: 1px;
}

.reaction-not-send-box .recently-item {
  /* height: 30px; */
  display: flex;
  align-items: center;
  /* background-color: #ffffff; */
  /* border-radius: 4px; */
  /* -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.18823529);
    -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.18823529);
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.18823529); */
  font-size: 24px;
  font-family: 'emojifont';
  /* color: #333333; */
  /* padding-left: 5px; */
  /* padding-right: 7px; */
  cursor: pointer;
  /* margin-bottom: 12px; */
  margin-right: 8px;

}

.reaction-not-send-box .recently-item:not(:last-of-type) {
  /* margin-right: 8px; */
}

.reaction-not-send-box .recently-item:hover {
  /* text-decoration: underline; */
}

.reaction-not-send-box .recently-item .recently-icon {
  width: 20px;
  margin-right: 5px;
}

.reaction-not-send-box .recently-dot {
  width: 20px;
  height: 10px;
  cursor: pointer;
}

.bottom-emoji-box {
  width: fit-content;
  height: 40px;
  background-color: #ffffff;
  border: 1px solid #ebebeb;
  border-radius: 208px;
  display: flex;
  position: relative;
  user-select: none;
  box-sizing: border-box;
}

.bottom-emoji-box * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* font-family: 'emojifont'; */
}

.bottom-emoji-box *::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
}

.bottom-emoji-box *::-webkit-scrollbar-thumb {
  background-color: #d7d7d7;
  border-radius: 4px;
}

.bottom-emoji-box *::-webkit-scrollbar-thumb:hover {
  background-color: #666;
}

.bottom-emoji-box * {
  scrollbar-width: thin;
  scrollbar-color: #d7d7d7 transparent;
}

.bottom-emoji-box *::-moz-scrollbar-thumb {
  background-color: #d7d7d7;
}

.bottom-emoji-box *::-moz-scrollbar-thumb:hover {
  background-color: #666;
}

.bottom-emoji-box .bottom-emoji-content {
  flex: 1;
  display: flex;
  align-items: center;
  padding-left: 19px;
  position: relative;
}

.bottom-emoji-box .bottom-emoji-content .dot-dot-dot {
  width: 20px;
  height: 10px;
  margin-right: 15px;
  cursor: pointer;
}

.bottom-emoji-box .bottom-emoji-content .no-expression-box {
  display: flex;
  align-items: center;
}

.bottom-emoji-box .bottom-emoji-content .no-expression-box .no-expression-icon {
  /* width: 20px; */
  margin-right: 8px;
  cursor: pointer;
  font-size: 24px;
  font-family: 'emojifont';
}

.bottom-emoji-box .bottom-emoji-content .no-expression-box .no-expression-dot {
  width: 20px;
  height: 10px;
  margin-right: 8px;
  cursor: pointer;
}

.bottom-emoji-box .bottom-emoji-content .have-expression-box {
  display: flex;
  align-items: center;
}

.bottom-emoji-box .bottom-emoji-content .have-expression-box .have-expression-item {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: #555555;
  margin-right: 13px;
  cursor: pointer;
}

.bottom-emoji-box .bottom-emoji-content .have-expression-box .have-expression-item.have-expression-item-s {
  /* font-size: 20px;
    justify-content: center;
    margin-right: 12px; */
  /* padding-bottom: 5px; */

  /* padding-bottom: 4px; */
}

.bottom-emoji-box .bottom-emoji-content .have-expression-box .have-expression-item.have-expression-item-s .meme-value {
  /* margin-left: 0; */
  padding-bottom: 5px;
  /* font-size: 12px;
    line-height: 12px !important;
    margin-left: 0 !important;
    letter-spacing: -6px !important; */

  /* margin-left: 0; */
  line-height: 20px;
}

.bottom-emoji-box .bottom-emoji-content .have-expression-box .have-expression-item .meme-value {
  font-size: 12px;
  margin-left: 5px;
}

.bottom-emoji-box .bottom-emoji-content .reaction-send-box {
  display: none;
  position: absolute;
  bottom: 35px;
  right: -40px;
  left: auto;
  width: max-content;
  max-width: 689px;
  border: none;
  background-color: transparent;
}

.bottom-emoji-box .bottom-emoji-content .reaction-send-box::after {
  width: 0;
  height: 0;
  left: auto;
  right: 55px;
}

.bottom-emoji-box .bottom-emoji-content .reaction-send-box.reaction-send-show {
  display: flex;
  background-color: #f6f6f6;
  border: 1px solid #d7d7d7;
}

.bottom-emoji-box .bottom-emoji-content .reaction-send-box.reaction-send-show::after {
  width: 10px;
  height: 10px;
}

.bottom-emoji-box .bottom-emoji-content .reaction-not-send-box {
  position: absolute;
  bottom: 20px;
  right: -40px;
  display: none;
}

.bottom-emoji-box .bottom-emoji-content .reaction-not-send-box::after {
  left: auto;
  right: 58px;
}

.bottom-emoji-box .bottom-emoji-add-box {
  width: 40px;
  height: 40px;
  background-color: #fbe2d4;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.bottom-emoji-box .bottom-emoji-add-box .bottom-emoji {
  width: 24px;
  height: 24px;
  background-color: #fa6b11;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.bottom-emoji-box .bottom-emoji-add-box .bottom-emoji .bottom-emoji-add {
  width: 11px;
  height: 11px;
}

.bottom-emoji-box .emoji-popover {
  left: auto;
  right: 0;
  bottom: 35px;
}

.bottom-emoji-box .emoji-popover .emoji-popover-after {
  left: auto;
  right: 15px;
  bottom: -6px;
}

.emoji-popover {
  width: 689px;
  height: 247px;
  /* filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 0.34901961)); */
  box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.34901961);
  background: #fff;
  border-radius: 8px;
  margin-bottom: 20px;
  flex-direction: column;
  position: absolute;
  bottom: -20px;
  left: 0;
  display: none;
  z-index: 11;
  user-select: none;
}

.emoji-popover.emoji-popover-show {
  display: flex;
}

.emoji-popover .emoji-popover-after {
  width: 10px;
  height: 10px;
  border: 1px solid;
  border-top-color: transparent;
  border-bottom-color: #d7d7d7;
  border-left-color: #d7d7d7;
  border-right-color: transparent;
  background-color: #fff;
  position: absolute;
  left: 29px;
  bottom: -5px;
  transform: rotate(315deg);
  border-radius: 1px;
}

.emoji-popover .emoji-content {
  flex: 1;
  padding: 30px 0 14px 34px;
  display: flex;
  flex-direction: column;
  overflow: auto;
  margin-right: 8px;
}

.emoji-popover .emoji-content .emoji-group {
  display: flex;
  flex-direction: column;
  /* padding-bottom: 10px; */
}

.emoji-popover .emoji-content .emoji-group .emoji-title {
  font-size: 13px;
  color: #333333;
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.emoji-popover .emoji-content .emoji-group .emoji-title .emoji-title-icon {
  width: 16px;
  margin-right: 8px;
}

.emoji-popover .emoji-content .emoji-group .emoji-case {
  display: flex;
  flex-wrap: wrap;
  overflow: auto;
}

.emoji-popover .emoji-content .emoji-group .emoji-case .emoji-item {
  width: 35px;
  height: 35px;
  /* margin-right: 15px; */
  margin-bottom: 15px;
  cursor: pointer;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-self: center;
}

.emoji-popover .emoji-content .emoji-group .emoji-case .emoji-item:not(:nth-of-type(13n)) {
  margin-right: 15px;

}

.emoji-popover .emoji-content .emoji-group .emoji-case .emoji-item:hover {
  background-color: #eee;
  border-radius: 4px;
}

.emoji-popover .emoji-content .emoji-group .emoji-case .emoji-item .emoji-item-item {
  width: 27px;
  height: 27px;
  line-height: 27px;
  display: flex;
  justify-content: center;
  align-self: center;
  font-size: 24px;
  text-align: center;
  font-family: 'emojifont';

}

.emoji-popover .emoji-content .emoji-group .emoji-case .emoji-item .emoji-item-item.emoji-item-item-s {
  /* font-size: 24px !important;
    line-height: 21px !important;
    padding: 0px 0 0 8px !important; */
}

.emoji-popover .emoji-bottom {
  display: flex;
  align-items: center;
  border-top: 1px solid #ebebeb;
  padding-left: 17px;
  height: 55px;
  position: relative;
}

.emoji-popover .emoji-bottom .emoji-bottom-item {
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 16px;
  cursor: pointer;
  transition: all 0.3s;
}

.emoji-popover .emoji-bottom .emoji-bottom-item.pitch {
  background-color: #f2f2f2;
  border-radius: 4px;
}

.emoji-popover .emoji-bottom .emoji-bottom-item .emoji-bottom-item-icon {
  width: 20px;
}

.emoji-popover .cross-icon {
  width: 12px;
  height: 12px;
  position: absolute;
  bottom: 10px;
  right: 10px;
  cursor: pointer;
}

.emoji-popover-masking {
  width: 100vw;
  height: 100vh;
  background: aquamarine;
  top: 0;
  left: 0;
  position: fixed;
  z-index: 10;
  display: none;
}

.emoji-popover-masking .emoji-popover-masking-show {
  display: block;
}

.emoji-user {
  width: 689px;
  background-color: #f6f6f6;
  border-radius: 6px;
  display: flex;
  font-family: "emojifont";
  box-sizing: border-box;
  position: absolute;
  bottom: calc(100% + 10px);
  line-height: normal;

}

.emoji-user.emoji-user-show {
  border: 1px solid #d7d7d7;
}

.emoji-user .expression-icon {
  width: 48px;
  height: 48px;
  background-color: #ffffff;
  border-radius: 8px;
  -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.16862745);
  -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.16862745);
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.16862745);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  line-height: 48px;
  margin-top: 10px;
  margin-left: 10px;
}

.emoji-user .emoji-user-icon {
  width: 30px;
  height: 30px;
  margin-right: 10px;
}

.emoji-user .emoji-user-right {
  flex: 1;
  margin-top: 10px;
  margin-left: 19px;
  padding-right: 19px;
}

.emoji-user .emoji-user-right .emoji-user-title {
  font-size: 13px;
  font-family: 'PingFangSC-Regular', 'PingFang SC', sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #7F7F7F;
  margin-bottom: 9px;
}

.emoji-user .emoji-user-right .emoji-user-case {
  display: flex;
  align-items: center;
}

.emoji-user .emoji-user-right .emoji-user-case.emoji-user-case-all {
  flex-wrap: wrap;
}

.emoji-user .emoji-user-right .emoji-user-case.emoji-user-case-all .arrow-orange {
  display: none;
}

.emoji-user .emoji-user-right .emoji-user-case .emoji-user-item {
  font-size: 13px;
  color: #333333;
  display: flex;
  align-items: center;
  font-family: 'PingFangSC-Regular', 'PingFang SC', sans-serif;
  margin-right: 16px;
  margin-bottom: 9px;
}

.emoji-user .emoji-user-right .emoji-user-case .emoji-user-item .emoji-user-icon {
  width: 20px;
  height: 20px;
  margin-right: 4px;
  border-radius: 50%;
}

.emoji-user .emoji-user-right .emoji-user-case .emoji-user-item.emoji-user-item-hide {
  display: none;
}

.emoji-user .emoji-user-right .emoji-user-case .arrow-orange {
  width: 12px;
  height: 12px;
  margin-left: 4px;
  cursor: pointer;
  margin-bottom: 9px;
}

.reaction-send-box .meme-item .memememe {
  flex: 1;
  display: flex;
  justify-content: center;
  height: 30px;
  line-height: 30px;
  font-family: 'emojifont';
}

.memememe {
  font-family: 'emojifont';
}